import config from './config'
import path from 'path'

export function getRootPath(folder: string, ...additionalSegments: string[]) {
  return path.join(process.cwd(), folder, ...additionalSegments)
}

export function getAppPath(folder: string, ...additionalSegments: string[]) {
  const baseDir = config.ENV === 'development' ? 'src' : 'dist'
  return path.join(process.cwd(), baseDir, folder, ...additionalSegments)
}

export function getPublicPath(folder: string, ...additionalSegments: string[]) {
  return path.join(process.cwd(), 'public', folder, ...additionalSegments)
}
